/*
 * @Author: zc
 * @Description: 当前用户分机的状态
 * @version: 
 * @Date: 2022-09-29 09:37:40
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-15 16:09:37
 */
import {defineStore} from 'pinia';
import {UserStateInfos} from './interface';
import {getTelStatus} from "/@/api/login/user";
/**
 * 
 * @methods telStatus 当前用户签入的状态
 */
export const useTelStatus = defineStore('telStatus', {
	state: (): UserStateInfos => ({
        telStatus:{
            isOnDuty:false, //是否签入
            isResting:false,  // 是否休息
			telNo:""  //分级号
        }
	}),
	actions: {
		getTelStatusAction() { //更新状态
			getTelStatus().then((res: any) => {//获取当前用户分机状态
				this.telStatus = res?.result ?? false;
			})
		}
	},
});
